<%@ page import="java.io.StringWriter" %>
<%@ page import="java.io.PrintWriter" %>

<html>
  <head><title>2.10.3 Expressions</title></head>
  <body>
    <h1>2.10.3 Expressions</h1>
A JSP expression might change the value of the out object, ...
<br>FIXME: how to create a JspWriter?
<%
    JspWriter oldOut;
    StringWriter sw = new StringWriter();
    PrintWriter pw = new PrintWriter(sw);
%>
<%= ((oldOut=out)!=null)?"":"" %><%= ((out=jw)!=null)?"":"" %>value1<%= ((out=oldOut)==null)?"":"" %>
Value: <%= sw.toString() %>

  </body>
</html>
